View Issue Details

IDProjectCategoryView StatusLast Update
15364Bug reports[All Projects] Survey editingpublic2019-11-04 10:49
Reporterdominikvitt Assigned Toollehar  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.0.0-RC4 
Target VersionFixed in Version 
Summary15364: New question of file upload question type doesn't have predefined values set
Description

Predefined values set for file upload question type in question editor are missing.
Affected attributes:

  • show_title
  • show_comment
  • allowed_filetypes
  • min_num_of_files
  • max_num_of_files

All entries in question_attributes database table are empty.

If question is saved and no changes are made to the attributes, execution of file upload question type would fail because "allowed_filetypes" attribute is empty ( shows message: Sorry, only files can be uploaded ).

Steps To Reproduce
  • add new question to the survey
  • change to file upload question type
  • check default attribute values (for example allowed_filetypes is empty, but it should contain predefined values)
Additional Information

Although values for max_num_of_files and min_num_of_files attributes are shown in the form as 1 and 0, they are not saved into the database after slicking on the "Save" button.
If I change those values to something different, values will be saved into the database.
So it looks this question type is completely ignored when loading predefined attributes values and when loading attribute values from database.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC4
I will donate to the project if issue is resolvedNo
BrowserChromium, Firefox
Database & DB-VersionMySQL 5.7.24-0ubuntu0.18.04.1
Server OS (if known)Linux Mint 19.1 Tessa 64-bit
Webserver software & version (if known)Nginx
PHP VersionPHP 7.3.9-1+ubuntu18.04.1+deb.sury.org+1

Activities

ollehar

ollehar

2019-11-04 10:49

administrator   ~54388

Kind of fixed by assigning default value if $_POST is empty, BUT the root problem is that default values are not populated when switching question types.

Issue History

Date Modified Username Field Change
2019-10-04 14:42 dominikvitt New Issue
2019-10-04 14:49 dominikvitt Additional Information Updated View Revisions
2019-10-15 12:02 ollehar Assigned To => ollehar
2019-10-15 12:02 ollehar Status new => assigned
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2019-11-04 10:49 ollehar Status assigned => resolved
2019-11-04 10:49 ollehar Resolution open => fixed
2019-11-04 10:49 ollehar Note Added: 54388